Subject: bug#44308: md5sum (and other *sum utils) path dependent output

From: Alessandro Forghieri <[email-masked]>
Date: Thu, 29 Oct 2020 11:43:28 +0100

I forgot to add, sha1sum, sha256sum and I'm guessing (but did not test)
all the other *sum utils behave similarly.

On 10/29/20 11:41 AM, Alessandro Forghieri wrote:
>
> Greetings.
>
> Just stumbled upon this:
>
> *# md5sum
> ./Development/rss/rss/STAGING/BATTITI_del_27_11_2016_-_Battiti_Live:_Arsene_Duevi\\Roberto_Zanisi.mp3
> \d41d8cd98f00b204e9800998ecf8427e 
> ./Development/rss/rss/STAGING/BATTITI_del_27_11_2016_-_Battiti_Live:_Arsene_Duevi\\Roberto_Zanisi.mp3*
>
> *# cp
> ./Development/rss/rss/STAGING/BATTITI_del_27_11_2016_-_Battiti_Live:_Arsene_Duevi\\Roberto_Zanisi.mp3
> /tmp/qlo
> # md5sum /tmp/qlo
> d41d8cd98f00b204e9800998ecf8427e  /tmp/qlo**
> *
>
> IE, in the first instance a '\' character is prepended to the output.
> The file itself is an empty file, so I guess the file content is
> irrelevant to the apparent bug.
>
> Running coreutils-8.31-6.fc30.x86_64 on Linux 5.6.13-100.fc30.x86_64+debug
>
> To communicate, cc me, as I am not a ML subscriber.
>
> Cheers,
>
>
> -- 
> Alessandro Forghieri
> Nouvelle s.r.l.
> via Giardini 456/C 41124 Modena  (ITALY)
> tel. +39 059 2929338 - Fax +39 059 347606

-- 
Alessandro Forghieri
Nouvelle s.r.l.
via Giardini 456/C 41124 Modena  (ITALY)
tel. +39 059 2929338 - Fax +39 059 347606